#comment out if not git build
#define gdate 20150719

#rel to bump
%define rel 1

%define major 7
%define libname	%mklibname openraw %{major}
%define develname %mklibname -d openraw

Summary:	Camera RAW files decoding library
Name:		libopenraw
Version:	0.1.2
Release:	%mkrel %{?gdate:0.git%gdate.}%{rel}
License:	LGPLv3+
Group:		System/Libraries
%if 0%{?gdate:1}
Source0:	libopenraw-%{gdate}.tar.xz
%else
Source0: 	http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2
%endif
Url:		http://libopenraw.freedesktop.org
BuildRequires:	jpeg-devel
BuildRequires:	boost-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	libxml2-devel
BuildRequires:	libcurl-devel
BuildRequires:	doxygen
Requires(post):		gdk-pixbuf2.0
Requires(postun):	gdk-pixbuf2.0

%description
libopenraw is an ongoing project to provide a free software implementation
for camera RAW files decoding. One of the main reason is that dcraw is not
suited for easy integration into applications, and there is a need for an
easy to use API to build free software digital image processing application.

It also has the goal to address missing feature from dcraw like meta-data
decoding and easy thumbnail extraction.

%package -n	%{libname}
Summary:	Camera RAW files decoding library
Provides:	%{name} = %{version}-%{release}
Group:		System/Libraries

%description -n	%{libname}
libopenraw is an ongoing project to provide a free software implementation
for camera RAW files decoding. One of the main reason is that dcraw is not
suited for easy integration into applications, and there is a need for an
easy to use API to build free software digital image processing application.

It also has the goal to address missing feature from dcraw like meta-data
decoding and easy thumbnail extraction.

%package -n	%{develname}
Summary:	Headers and links to compile against the "%{libname}" library
Group:		Development/C
Requires: 	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains all files which one needs to compile programs using
the "%{libname}" library.

%prep
%setup -qn %{name}-%{?gdate}%{?!gdate:%version}

sed -i -e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' configure.ac
sed -i -e 's|@top_srcdir@/dcraw ||' doc/Doxyfile.in

%build
autoreconf -vfi
%configure2_5x \
	--disable-static
%make_build

make dox

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete

%post
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%postun
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%files
%{_libdir}/gdk-pixbuf-2.0/*/loaders/*.so

%files -n %{libname}
%doc AUTHORS NEWS README ChangeLog TODO
%license COPYING*
%{_libdir}/libopenraw.so.%{major}
%{_libdir}/libopenraw.so.%{major}.*
%{_libdir}/libopenrawgnome.so.%{major}
%{_libdir}/libopenrawgnome.so.%{major}.*

%files -n %{develname}
%doc doc/doxygen/html/
%{_includedir}/libopenraw-0.1/
%{_libdir}/libopenraw.so
%{_libdir}/libopenrawgnome.so
%{_libdir}/pkgconfig/libopenraw-0.1.pc
%{_libdir}/pkgconfig/libopenraw-gnome-0.1.pc



%changelog
* Tue May 23 2017 luigiwalser <luigiwalser> 0.1.2-1.mga6
+ Revision: 1104163
- 0.1.2

* Sun Dec 04 2016 wally <wally> 0.1.0-1.mga6
+ Revision: 1072438
- new version 0.1.0

* Thu Feb 11 2016 umeabot <umeabot> 0.1.0-0.git20150719.2.mga6
+ Revision: 955610
- Mageia 6 Mass Rebuild

* Sat Oct 17 2015 wally <wally> 0.1.0-0.git20150719.1.mga6
+ Revision: 892408
- build latest git snapshot

* Wed Oct 15 2014 umeabot <umeabot> 0.0.9-8.mga5
+ Revision: 746668
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.9-7.mga5
+ Revision: 681683
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.0.9-6.mga4
+ Revision: 529287
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 fwang <fwang> 0.0.9-5.mga4
+ Revision: 451236
- rebuild for new boost

* Sat Jan 12 2013 umeabot <umeabot> 0.0.9-4.mga3
+ Revision: 357933
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.0.9-3.mga3
+ Revision: 340629
- fix for automake 1.13

* Fri Nov 30 2012 ovitters <ovitters> 0.0.9-2.mga3
+ Revision: 323419
- clean spec
- fix rpm group

* Tue Dec 06 2011 tv <tv> 0.0.9-1.mga2
+ Revision: 177958
- new release

* Sun Nov 06 2011 dmorgan <dmorgan> 0.0.8-6.mga2
+ Revision: 164275
+ rebuild (emptylog)

* Wed Jan 19 2011 ahmad <ahmad> 0.0.8-5.mga1
+ Revision: 24738
- drop old/unneeded scriptlets
- imported package libopenraw

